xcb_present_pixmap_synced(3)

NAME
xcb_present_pixmap_synced -

SYNOPSIS
#include <xcb/present.h>

  Request function

xcb_void_cookie_t xcb_present_pixmap_synced(xcb_connection_t *conn, xcb_window_t window, xcb_pixmap_t pixmap, uint32_t serial, xcb_xfixes_region_t valid, xcb_xfixes_region_t update, int16_t x_off, int16_t y_off, xcb_randr_crtc_t target_crtc, xcb_dri3_syncobj_t acquire_syncobj, xcb_dri3_syncobj_t release_syncobj, uint64_t acquire_point, uint64_t release_point, uint32_t options, uint64_t target_msc, uint64_t divisor, uint64_t remainder, uint32_t notifies_len, const xcb_present_notify_t *notifies);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

pixmap
    TODO: NOT YET DOCUMENTED.

serial
    TODO: NOT YET DOCUMENTED.

valid
    TODO: NOT YET DOCUMENTED.

update
    TODO: NOT YET DOCUMENTED.

x_off
    TODO: NOT YET DOCUMENTED.

y_off
    TODO: NOT YET DOCUMENTED.

target_crtc
    TODO: NOT YET DOCUMENTED.

acquire_syncobj
    TODO: NOT YET DOCUMENTED.

release_syncobj
    TODO: NOT YET DOCUMENTED.

acquire_point
    TODO: NOT YET DOCUMENTED.

release_point
    TODO: NOT YET DOCUMENTED.

options
    TODO: NOT YET DOCUMENTED.

target_msc
    TODO: NOT YET DOCUMENTED.

divisor
    TODO: NOT YET DOCUMENTED.

remainder
    TODO: NOT YET DOCUMENTED.

notifies_len
    TODO: NOT YET DOCUMENTED.

notifies
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_present_pixmap_synced_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from present.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.